aboutsummaryrefslogtreecommitdiffhomepage
path: root/bin/update-version
diff options
context:
space:
mode:
authorwinter2025-01-18 22:41:17 +0000
committerwinter2025-01-18 22:49:41 +0000
commitf1a48c521472bde1c8668e29f8c5c792e1dd9f9f (patch)
tree21b89bf89204371de7a94042d8ed3d02c29d8516 /bin/update-version
parent5d55ae009cab1fe82f456111585d20795f4e865a (diff)
init script & fix the version info thing
yeah so turns out $Id$ is not what it seems
Diffstat (limited to 'bin/update-version')
-rwxr-xr-xbin/update-version9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/update-version b/bin/update-version
new file mode 100755
index 0000000..b9b3d21
--- /dev/null
+++ b/bin/update-version
@@ -0,0 +1,9 @@
+#!/bin/bash
+cd "$(dirname "$0")" || exit 1
+[ -L "$(basename "$0")" ] && cd "$(dirname "$(readlink "$(basename "$0")")")"
+if ! git describe --tags 2>/dev/null > ../VERSION; then
+ printf 'git ' > ../VERSION
+ git rev-parse --short HEAD >> ../VERSION
+fi
+printf 'stored version: '
+cat ../VERSION \ No newline at end of file